function x=D_hor_WP_synthP(wctran,Par,DeTr)
%1D discrete spline wavelet packet synthesis of a row signal or an array of 
%row signals from ``horizontal``  basis at the level DeTr
%Par -spline order
%wctran -- cell array of  WP coeff. at the level DeTr

List=zeros(2^DeTr,2);
for kk=1:2^DeTr;
    List(kk,:)=[DeTr,kk-1];
end

[x, ~ ]=D_List_synthP(wctran,List,Par);


%%%%%%%%%%%%%%%%%%%%%%%%%%
% Copyright (c) 2013. Valery A. Zheludev
